AbstractCellEditor (rhino 1.7.7.2 API)
Date: 2017-09-27

org.mozilla.javascript.tools.debugger.treetable

## Class AbstractCellEditor

- java.lang.Object
- - org.mozilla.javascript.tools.debugger.treetable.AbstractCellEditor

- All Implemented Interfaces:
    javax.swing.CellEditor
  Direct Known Subclasses:
    JTreeTable.TreeTableCellEditor

      public class AbstractCellEditor
      extends java.lang.Object
      implements javax.swing.CellEditor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.event.EventListenerList` | `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCellEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCellEditorListener(javax.swing.event.CellEditorListener l)`
    `void` | `cancelCellEditing()`
    `protected void` | `fireEditingCanceled()`
    `protected void` | `fireEditingStopped()`
    `java.lang.Object` | `getCellEditorValue()`
    `boolean` | `isCellEditable(java.util.EventObject e)`
    `void` | `removeCellEditorListener(javax.swing.event.CellEditorListener l)`
    `boolean` | `shouldSelectCell(java.util.EventObject anEvent)`
    `boolean` | `stopCellEditing()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listenerList

          protected javax.swing.event.EventListenerList listenerList

  - ### Constructor Detail

    - #### AbstractCellEditor

          public AbstractCellEditor()

  - ### Method Detail

    - #### getCellEditorValue

          public java.lang.Object getCellEditorValue()

      Specified by:
        `getCellEditorValue` in interface `javax.swing.CellEditor`

    - #### isCellEditable

          public boolean isCellEditable(java.util.EventObject e)

      Specified by:
        `isCellEditable` in interface `javax.swing.CellEditor`

    - #### shouldSelectCell

          public boolean shouldSelectCell(java.util.EventObject anEvent)

      Specified by:
        `shouldSelectCell` in interface `javax.swing.CellEditor`

    - #### stopCellEditing

          public boolean stopCellEditing()

      Specified by:
        `stopCellEditing` in interface `javax.swing.CellEditor`

    - #### cancelCellEditing

          public void cancelCellEditing()

      Specified by:
        `cancelCellEditing` in interface `javax.swing.CellEditor`

    - #### addCellEditorListener

          public void addCellEditorListener(javax.swing.event.CellEditorListener l)

      Specified by:
        `addCellEditorListener` in interface `javax.swing.CellEditor`

    - #### removeCellEditorListener

          public void removeCellEditorListener(javax.swing.event.CellEditorListener l)

      Specified by:
        `removeCellEditorListener` in interface `javax.swing.CellEditor`

    - #### fireEditingStopped

          protected void fireEditingStopped()

    - #### fireEditingCanceled

          protected void fireEditingCanceled()